Subject: Re: [PATCH v9 00/17] Upstreaming the Scalar command

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Dec 2021 09:03:55 -0800

Johannes Schindelin <[email-masked]> writes:

> No, it was not intended. It was not even intended to integrate Scalar this
> tightly with Git's CI, but since you did not move along `js/scalar` into
> `next` for the past weeks, when no reviewer had anything to add to the
> actual code in `contrib/scalar/` nor were there any objections to
> integrate it, I made the mistake of assuming that you agreed with Ævar
> that such a tight integration into Git's CI was desired.

OK, sorry to hear that we had miscommunication.  

I took the lack of comments an indication that people are not either
interested in it, or viewing it as not-quite-ready-yet and waiting
for a "more or less done" version.

I think the CI updates from Ævar would be one of the things we'd
have early in 'next' in this cycle, so if the topic does not play
nice with it, the perception that it is not yet part of the regular
CI testing would continue, I am afraid.

Thanks.